/*********************************************************************
 *              Copyright (c) 2022 PikeTec GmbH
 *               CONFIDENTIAL AND PROPRIETARY.
 *                   ALL RIGHTS RESERVED
 *              - PROPRIETARY OF PikeTec GmbH -
 **********************************************************************/

#ifndef __TPTVM_FOR_RTM_H_
#define __TPTVM_FOR_RTM_H_

#include "TPT_VM.h"

#include "DataDict.h"
#include "Log.h"

typedef struct {
  tpt_var* tpt_variable;
  tDDictEntry* dictEntry;
} tpt_signal_mapping;

int tpt_init(void);
int tpt_prepare(void);
int tpt_step(void);
int tpt_clean(void);

int tpt_loadProg(void);
int tpt_createSignalMapping(void);
void tpt_applyReadWrite(void);

int tpt_getSocket(void);
void tpt_initTptbinWriter(void);
void tpt_writeCycleToTptbin(void);

tpt_result tpt_copyInputSignalsToTpt(tpt_signal_mapping* signal_mappings, int mapping_size);
tpt_result tpt_copyOutputSignalsToSim(tpt_signal_mapping* signal_mappings, int mapping_size);
void tpt_setTptValue(void* tpt_var_value, tpt_basetype tpt_data_type, double value, int index);
double tpt_getTptValue(void* tpt_output_value, tpt_basetype tpt_data_type, int index);

int stringFind(const char *string, const char *substring);
char *stringReplace(const char *string, const char *substring, const char *replacement);
char *stringReplaceAll(const char *string, const char *substring, const char *replacement);

#endif /* __TPTVM_FOR_RTM_H_ */
