package com.etas.ascet.api;

import java.util.concurrent.CompletableFuture;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.eclipse.lsp4j.jsonrpc.services.JsonRequest;
import org.eclipse.lsp4j.jsonrpc.services.JsonSegment;

/**
 * Interface to be implemented by the client and provided during connection.
 */
@NonNullByDefault
@JsonSegment("com.etas.ascet.api.client-generic")
public interface ClientApiGeneric {

    /**
     * Notification by sent ASCET, not yet in use
     *
     * @param notification
     *            with a topic and a property list
     * @return void, required by technology
     * @since 1.0
     */
    @JsonRequest
    default CompletableFuture<Void> genericNotification(final NotificationDto notification) {
        return CompletableFuture.completedFuture(null);
    }

}
