package com.etas.ascet.api;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * Generic string key/value pair
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class KeyValueDto {

    public abstract String key();

    public abstract String value();

    public static Builder builder() {
        return new AutoValue_KeyValueDto.Builder();
    }

    @AutoValue.Builder
    public interface Builder {
        Builder key(String value);

        Builder value(String value);

        KeyValueDto build();
    }
}
