package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.eclipse.jdt.annotation.Nullable;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

// Checkstyle:off
/**
 * A further specification of {@link TargetTypeDtoV1}
 */
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class TargetStructTypeDtoV1 {

    public abstract IdentifierDtoV1 identifier();

    /**
     * Annotations attached to the model struct
     */
    public abstract List<AnnotationDtoV1> annotations();

    /**
     * fields
     */
    public abstract List<DeclarationDtoV1> fields();

    @Nullable
    public abstract CompositeRepresentationDtoV1 representation();

    public static Builder builder() {
        return new AutoValue_TargetStructTypeDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {

        /**
         * @see TargetStructTypeDtoV1#identifier()
         */
        Builder identifier(IdentifierDtoV1 value);

        /**
         * @see TargetStructTypeDtoV1#annotations()
         */
        Builder annotations(List<AnnotationDtoV1> value);

        /**
         * @see TargetStructTypeDtoV1#fields()
         */
        Builder fields(List<DeclarationDtoV1> value);

        /**
         * @see TargetStructTypeDtoV1#representation()
         */
        Builder representation(@Nullable CompositeRepresentationDtoV1 value);

        TargetStructTypeDtoV1 build();
    }
}
