package com.etas.ascet.api.v1.datatype;

import java.util.List;

import org.eclipse.jdt.annotation.NonNullByDefault;

import com.google.auto.value.AutoValue;
import com.ryanharter.auto.value.gson.GenerateTypeAdapter;

/**
 * List of elements in the current workspace
 */
// Checkstyle:off
@NonNullByDefault
@GenerateTypeAdapter
@AutoValue
public abstract class WorkspaceGetOverviewResponseDtoV1 {

    /**
     * Absolute path of the workspace folder. This folder contains a .metadata directory
     */
    public abstract String absolutePath();

    /**
     * List of open projects in the workspace. Closed projects are ignored.
     * <p/>
     * <b>Note:</b> a project must not be located inside the workspace directory.
     * But it can be referenced somewhere else on the hard drive.
     * See {@link ProjectDtoV1#absolutePath()}
     */
    public abstract List<ProjectDtoV1> projects();

    public static Builder builder() {
        return new AutoValue_WorkspaceGetOverviewResponseDtoV1.Builder();
    }

    @AutoValue.Builder
    public interface Builder {
        /**
         * @see WorkspaceGetOverviewResponseDtoV1#absolutePath()
         */
        Builder absolutePath(String value);

        /**
         * @see WorkspaceGetOverviewResponseDtoV1#projects()
         */
        Builder projects(List<ProjectDtoV1> value);

        WorkspaceGetOverviewResponseDtoV1 build();
    }
}
